Skip to main content
PATCH
Patch Bundle Offer

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The ID of the shop.

offerId
integer
required

The ID of the bundle offer.

Body

application/json
name
string

Must not be greater than 255 characters.

Example:

"tjqotbhpzwonwlzospqcs"

type
enum<string>
Available options:
percentage,
fixed
Example:

"fixed"

discount
number

Must be at least 0.01. Must not be greater than 999999.

Example:

19

max_uses_per_cart
integer | null

Must be at least 1.

Example:

27

priority
integer | null

Must be at least 0.

Example:

83

starts_at
string | null

Must be a valid date. Must be a date before 2038-01-19.

Example:

"2012-05-28"

ends_at
string | null

Must be a valid date. Must be a date before 2038-01-19.

Example:

"2012-05-28"

enabled
boolean
Example:

false

items
object[]

Must have at least 1 items.

Example:

null

Response

200